
/*  libcommon.so - library of commonly useful features for the Pyro
 *                 Operating System
 *
 *  Copyright (C) 2013 A. D. Sharpe <demetrious.sharpe(at)pyro-os.org>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU Library
 *  General Public License as published by the Free Software
 *  Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA
 */

#ifndef __COMMAND_H__
#define __COMMAND_H__

#include <util/string.h>


using namespace os;

namespace common {

typedef void (*callback)( const String& cData );

class Command
{
public:
	Command( callback pfnCallback = NULL );
	~Command();
	
	void		Execute( const String& cCommand );
	void		SetCallback( callback pfnCallback = NULL );

private:
	class Private;
	Private *m;
};

} /* namespace common */

#endif /* __COMMAND_H__ */
