/*
 *  The Pyro kernel
 *  Copyright (C) 2010 Dee Sharpe <demetrioussharpe@netscape.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU Library
 *  General Public License as published by the Free Software
 *  Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __F_FS_QUERY_H__
#define __F_FS_QUERY_H__

#include <pyro/kernel.h>
#include <pyro/types.h>

#include <posix/dirent.h>

#ifdef __cplusplus
extern "C" {
#endif


/* Static or live queries */
#define QUERY_STATIC		0x0000
#define QUERY_LIVE			0x0001


int open_query( const char* pzVolume, const char* pzQuery, int nFlags, port_id nPort, void** ppCookie );
int close_query( const char* pzVolume, void** ppCookie );
int read_query( const char* pzVolume, void* pCookie, int* pNum, struct kernel_dirent* psBuffer, size_t nBufferSize );


#ifdef __cplusplus
}
#endif

#endif /* __F_FS_QUERY_H__ */


