/*
 *  The Pyro kernel
 *  Copyright (C) 2009 - 2010 Dee Sharpe <demetrioussharpe@netscape.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU Library
 *  General Public License as published by the Free Software
 *  Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __F_OS_SERVICE_H__
#define __F_OS_SERVICE_H__

#ifndef __KERNEL__
#include <sys/types.h>
#endif
#include <pyro/types.h>
#include <posix/ioctl.h>
#include <posix/limits.h>

#ifdef __cplusplus
extern "C" {
#if 0  
} /*make emacs indention work */
#endif
#endif

#define MAX_SERVICEMANAGER_NAME_LENGTH 255
#define MAX_CLIENT_NAME_LENGTH     255

/* servicemanager functions */
typedef void* servicemanager_get_hooks( int nVersion );

/* General client information */
typedef struct
{
	int              di_nHandle;	
	char             di_zOriginalName[MAX_CLIENT_NAME_LENGTH];
	char             di_zName[MAX_CLIENT_NAME_LENGTH];
	char             di_zService[MAX_SERVICEMANAGER_NAME_LENGTH];
} ClientInfo_s;

/* Kernel functions */
void		init_services_boot( void );
void		init_services( void );


int			register_client( const char* pzName, const char* pzService );
void		unregister_client( int nHandle );
status_t	get_client_info( ClientInfo_s* psInfo, int nIndex );
void		set_client_data( int nHandle, void* pData );
void*		get_client_data( int nHandle );

status_t	register_servicemanager( int nDriverID, const char* pzName, servicemanager_get_hooks* pfHooks );
void*		get_servicemanager( const char* pzName, int nVersion );

#ifdef __cplusplus
}
#endif

#endif /* __F_OS_SERVICE_H__ */

