#!/bin/sh

# Native development exports.
export CATEGORY=None
export PYRO_BINARY_DESTINATION=$HOME/PyroBuild

# This will auto-detect how many CPUs you have...
export CPUCOUNT=`grep -w "processors activated" /boot/System/log/kernel | awk '{print $5}'`
# ...and let "make" use them all, or however many you manually set.
export MAKEFLAGS="-j $CPUCOUNT"

# Put your distcc servers here (space separated).
export DISTCC_POTENTIAL_HOSTS='localhost'

# Export PYTHONHOME.
if [ -d "$HOME/Software/NIX/Python" ] ; then
	PYTHONVERSION=`/boot/System/utilities/attribcheck $HOME/Software/NIX/Python os::Version`
	export PYTHONHOME=$HOME/Software/NIX/Python/lib/python${PYTHONVERSION:0:3}
elif [ -d "/boot/NIX/Python" ] ; then
	PYTHONVERSION=`/boot/System/utilities/attribcheck /boot/NIX/Python os::Version`
	export PYTHONHOME=/boot/NIX/Python/lib/python${PYTHONVERSION:0:3}
fi

# Export TMAKEPATH.
if [ -d "$HOME/Software/NIX/tmake/share/pyro-g++" ] ; then
	export TMAKEPATH=$HOME/Software/NIX/tmake/share/pyro-g++
elif [ -d "/boot/NIX/tmake/share/pyro-g++" ] ; then
	export TMAKEPATH=/boot/NIX/tmake/share/pyro-g++
elif [ -d "$HOME/Software/NIX/tmake/share/linux-g++" ] ; then
	export TMAKEPATH=$HOME/Software/NIX/tmake/share/linux-g++
elif [ -d "/boot/NIX/tmake/share/linux-g++" ] ; then
	export TMAKEPATH=/boot/NIX/tmake/share/linux-g++
fi

# Export WEBKITSRC
if [ -d "$HOME/Software/NIX/WebKit/source" ] ; then
	export WEBKITSRC=$HOME/Software/NIX/WebKit/source
elif [ -d "/boot/NIX/WebKit/source" ] ; then
	export WEBKITSRC=/boot/NIX/WebKit/source
fi

# Other exports.
export echo=echo
